# 1.0.0[−][src]Trait std::os::unix::ffi::OsStringExt

    pub trait OsStringExt {
        fn from_vec(vec: Vec<u8>) -> Self;
        fn into_vec(self) -> Vec<u8>;
    }

This is supported on Unix only.

Platform-specific extensions to `OsString`.

## Required methods

### `fn from_vec(vec: Vec<u8>) -> Self`

This is supported on Unix only.

Creates an `OsString` from a byte vector.

See the module documentation for an example.

### `fn into_vec(self) -> Vec<u8>`

This is supported on Unix only.

Yields the underlying byte vector of this `OsString`.

See the module documentation for an example.

Loading content...

## Implementors

### `impl OsStringExt for OsString`[src]

#### `fn from_vec(vec: Vec<u8>) -> OsString`[src]

This is supported on Unix only.

#### `fn into_vec(self) -> Vec<u8>`[src]

This is supported on Unix only.
Loading content...